package com.niko.pg.engine.baseEntities;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;

import com.niko.pg.engine.entity.Entity;
public class Solid extends Entity {

	{
		visible = false;
		addType(SOLID);
	}
	
	public Solid(String name) {
		this(name, 0, 0, 0, 0);
	}
	
	public Solid(String name, int x, int y, int width, int height) {
		super(name, x, y);
		setSize(width, height);
	}
	
	@Override
	public void debug(ShapeRenderer shapeRenderer) {
		drawBounds(shapeRenderer);
		drawOrigin(shapeRenderer, new Color(0, 0, 1, 0.8f));
	}
	
}
